main {
  padding-top: var(--header-height);
  color: var(--title-color);
  background-color: var(--section-color);
}

/* Mobile fix */
@media (max-width: 768px) {
  main {
    padding-top: calc(var(--header-height) - 1rem);
  }
}

/* ================= PROGRESS BAR ================= */
#progressBar {
  position: fixed;
  top: 0;
  left: 0;
  height: 4px;
  width: 0%;
  background: linear-gradient(to right, #1DC9A9, #112340);
  /* #0ea5e9*/
  z-index: 9999;
}

/*=============== Blog HERO ===============*/
.blog-hero {
  padding: 120px 0px 60px 0px;

  text-align: center;
}

.hero-container{
  
  padding-left: 25px;
  padding-right: 25px;
}

.blog-hero h1 {
  color: var(--title-color);
  font-weight: var(--font-semi-bold);
  font-size: 2.5rem;
}

.blog-hero p {
  color: var(--text-color);
  max-width: 600px;
  margin: 1rem auto 0;
  /* font-size: 1.2rem; */
}

/* ================= RESPONSIVE HERO ================= */

/* Large Tablets / Small Laptops */
@media (max-width: 1024px) {

  .blog-hero {
    padding: 100px 20px 60px;
  }

  .blog-hero h1 {
    font-size: 2.3rem;
  }

  .blog-hero p {
    font-size: 1rem;
  }

}

/* Tablets */
@media (max-width: 768px) {

  .blog-hero {
    padding: 90px 20px 50px;
  }
  .hero-container {
    padding-left: 15px;
    padding-right: 15px;
  }
  
  .blog-hero h1 {
    font-size: 2rem;
    line-height: 1.3;
  }

  .blog-hero p {
    font-size: 0.95rem;
    max-width: 90%;
  }

}

/* Large Phones */
@media (max-width: 576px) {

  .blog-hero {
    padding: 80px 15px 40px;
  }

  .blog-hero h1 {
    font-size: 1.7rem;
  }

  .blog-hero p {
    font-size: 0.9rem;
  }

}

/* Mobile Devices */
@media (max-width: 425px) {

  .blog-hero h1 {
    font-size: 1.5rem;
  }

  .blog-hero p {
    font-size: 0.85rem;
  }

}

/* Small Phones */
@media (max-width: 375px) {

  .blog-hero h1 {
    font-size: 1.35rem;
  }

}

/* Extra Small Phones */
@media (max-width: 320px) {

  .blog-hero h1 {
    font-size: 1.2rem;
  }

  .blog-hero p {
    font-size: 0.8rem;
  }

}

/*=============== Blog Section ===============*/

.blog-section {
  /*padding: 10px 6%;
  background:#020617;*/
  padding: 10px 6% 80px 6%;
  color: var(--title-color);
}

.blog-container {
  max-width: 1300px;
  margin: auto;
}

.blog-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 40px;
}

.blog-card img {
  width: 100%;
  border-radius: 8px;
  margin-bottom: 18px;
}

.blog-card .custom-h2 {
  font-size: 22px;
  line-height: 1.4;
  margin-bottom: 10px;
}

.blog-card p {
  margin-top: 5%;
  font-size: 15px;
  color: var(--text-color);
  line-height: 1.7;
  margin-bottom: 15px;
}

.blog-tag {
  display: inline-block;
  background: #1DC9A9;
  padding: 5px 12px;
  font-size: 12px;
  border-radius: 20px;
  margin-bottom: 10px;
}

.blog-card {
  transition: 0.4s;
  cursor: pointer;
}

.blog-card:hover {
  transform: translateY(-10px);
}

@media (max-width:992px) {

  .blog-grid {
    grid-template-columns: 1fr 1fr;
  }

}

@media (max-width:768px) {

  .blog-grid {
    grid-template-columns: 1fr;
  }

}

/*=============== NEWSLETTER Section ===============*/
.newsletter {
  /*padding:120px 6%;
background:#020617;*/
  padding: 10px 6% 80px 6%;
  color: var(--title-color);
  text-align: center;
}

.newsletter-container {
  max-width: 700px;
  margin: auto;
}

.newsletter h2 {
  font-size: 32px;
  margin-bottom: 15px;
}

.newsletter p {
  color: var(--text-color);
  margin-bottom: 30px;
}

.newsletter-form {
  display: flex;
  justify-content: center;
  gap: 10px;
  flex-wrap: wrap;
}

.newsletter-form input {
  padding: 14px 18px;
  background-color: var(--first-color-lighten);
  width: 280px;
  border-radius: 30px;
  color: var(--title-color);
  border: none;
  outline: none;
}

.newsletter-form button {
  padding: 14px 24px;
  background: #1DC9A9;
  color: var(--title-color);
  border: none;
  border-radius: 30px;
  cursor: pointer;
}

.newsletter-form button:hover {
  
  color: var(--title-color);
  transform: translateY(-4px) scale(1.05);
  box-shadow: 0 0 20px rgba(29, 201, 169, 0.5);
}


.alert-box {
  margin-top: 20px;
  padding: 10px 15px;
  background: var(--text-color);
  color: var(--title-color);
  border-radius: 8px;
  display: inline-block;
}

.d-none {
  display: none;
}



/* ===================== Chat Button ========================== */

#chat-toggle {
  position: fixed;
  bottom: 20px;
  right: 20px;
  background: #1DC9A9;
  color: #fff;
  width: 60px;
  height: 60px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 24px;
  cursor: pointer;
  z-index: 9999;
}

/* Chat Box */
#chat-box {
  position: fixed;
  bottom: 90px;
  right: 20px;
  width: 300px;
  background: #fff;
  border-radius: 10px;
  display: none;
  flex-direction: column;
  box-shadow: 0 5px 20px rgba(0, 0, 0, 0.2);
  overflow: hidden;
}

/* Header */
.chat-header {
  background: #1DC9A9;
  color: #fff;
  padding: 10px;
  display: flex;
  justify-content: space-between;
}

.chat-header button {

  border: none;
  background: none;

  color: white;
}

/* Body */
.chat-body {
  padding: 10px;
  height: 250px;
  overflow-y: auto;
}

.bot-message {
  background: #f1f1f1;
  padding: 8px;
  border-radius: 6px;
  font-size: 16px;
  margin-bottom: 5px;
}

.user-message {
  background: #1DC9A9;
  color: #fff;
  padding: 8px;
  font-size: 16px;
  border-radius: 6px;
  margin-bottom: 5px;
  text-align: right;
}

/* Footer */
.chat-footer {
  display: flex;
}

.chat-footer input {
  flex: 1;
  border: none;
  padding: 10px;
}

.chat-footer button {
  background: #1DC9A9;
  color: #fff;
  border: none;
  padding: 10px;
}